<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['shkaf-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm_film.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}
if(empty($_GET['shkaf_id'])) {puterror($result2['skin'],$TEXT['error-no-id']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_GET['shkaf_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm_film.php"; exit();}
$_GET['shkaf_id'] = rep($_GET['shkaf_id']);

//*************************************
//Информация для лога
$query10 = "SELECT `shkaf` FROM `tbl_shkaf` WHERE `shkaf_id`='".$_GET['shkaf_id']."' ";
 $result10 = mysqli_query($dbcnx,$query10);
  if(!$result10) {puterror($result2['skin'],$TEXT['error-tbl9']); require_once "../utils/bottom_adm_film.php"; exit();}
   $result_shkaf = mysqli_fetch_array($result10);

$ip = $_SERVER['REMOTE_ADDR'];
$doing = $TEXT['log-shkaf2'];
$what = $result_shkaf['shkaf'].$TEXT['log-id'].$_GET['shkaf_id'];
$who = $result2['familiya']." ".$result2['name'];
//*************************************
$query = "DELETE FROM `tbl_shkaf` WHERE `shkaf_id`='".$_GET['shkaf_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl9']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>